package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag910;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT910Creator;


public class Tag20Creator extends AbsTagCreate {

     private MT910Creator mt910Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt910Creator= (MT910Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt910Creator.getTransactionReferenceNumber();
        mt910Creator.set("20", tag20Value);
    }
}

